Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.chapterIV.domain
Class ChapterIVBuilderResponse

    java.lang.Object
      be.ehealth.businessconnector.chapterIV.domain.ChapterIVBuilderResponse

All Implemented Interfaces:
  Serializable

    public class ChapterIVBuilderResponse

extends Object
implements Serializable

Map who keep the information needed to build the response

See Also:
  Serialized Form

Constructor Summary
`ChapterIVBuilderResponse(Map<String,Serializable> result)`

Method Summary
`boolean` | `equals(Object obj)`
`AskChap4MedicalAdvisorAgreementRequest` | `getAskChap4MedicalAdvisorAgreementRequest()`
`CareReceiverIdType` | `getCareReceiver()`
`ChapterIVReferences` | `getChapterIVReferences()`
`CommonInputType` | `getCommonInput()`
`ConsultChap4MedicalAdvisorAgreementRequest` | `getConsultChap4MedicalAdvisorAgreementRequest()`
`FolderType` | `getFolder()`
`Kmehrmessage` | `getKmerhMessage()`
`RecordCommonInputType` | `getRecordCommonInput()`
`Chap4MedicalAdvisorAgreementRequestWrapper<?>` | `getRequestWrapper()`
`SealedRequestWrapper<?>` | `getSealedRequest()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChapterIVBuilderResponse

    public ChapterIVBuilderResponse(Map<String,Serializable> result)

Method Detail

### getKmerhMessage

    public Kmehrmessage getKmerhMessage()

### getChapterIVReferences

    public ChapterIVReferences getChapterIVReferences()

### getFolder

    public FolderType getFolder()

### getCareReceiver

    public CareReceiverIdType getCareReceiver()

### getRecordCommonInput

    public RecordCommonInputType getRecordCommonInput()

### getCommonInput

    public CommonInputType getCommonInput()

### getSealedRequest

    public SealedRequestWrapper<?> getSealedRequest()

### getRequestWrapper

    public Chap4MedicalAdvisorAgreementRequestWrapper<?> getRequestWrapper()

### getAskChap4MedicalAdvisorAgreementRequest

    public AskChap4MedicalAdvisorAgreementRequest getAskChap4MedicalAdvisorAgreementRequest()

### getConsultChap4MedicalAdvisorAgreementRequest

    public ConsultChap4MedicalAdvisorAgreementRequest getConsultChap4MedicalAdvisorAgreementRequest()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.